Eclipse啟動時報錯

來源:互聯網
上載者:User

前些日子下載了最新版本的Eclipse3.0,解壓到d:\Eclipse目錄下,啟動時彈出一個小提示框說出錯請查看Eclipse\configuration\下的一個*******.log檔案.檔案中說:!SESSION 涓?鏈?01, 2005 23:16:43.692 ----------------------------------------------eclipse.buildId=I200405211200java.version=1.3.1_01java.vendor=Sun Microsystems Inc.BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=zh_CN!ENTRY org.eclipse.osgi 涓?鏈?01, 2005 23:16:43.692!MESSAGE Error registering XML parser services.!STACK 0java.lang.ClassNotFoundException: javax.xml.parsers.SAXParserFactory at java.net.URLClassLoader$1.run(Unknown Source) at java.security.AccessController.doPrivileged(Native Method) at java.net.URLClassLoader.findClass(Unknown Source)

問題原因很簡單:找不到javax.xml.parsers.SAXParserFactory,奇怪了?我的java.version是1.4.1得呀,怎麼成了1.3.1的了?!仔細想想,就是裝了個orcale9的用戶端,難道是它在從中搗鬼?

運行cmd命令,path+斷行符號,輸出下面的結果:D:\oracle\ora92\bin;G:\Program Files\Oracle\jre\1.3.1\bin;G:\Program Files\Oracle\jre\1.1.8\bin;%SystemRoot% ystem32;%SystemRoot%;%SystemRoot% ystem32\Wbem;D:\Borland\JBuilderX\jdk1.4

趕緊在環境變數中把path的值設為:D:\oracle\ora92\bin;%java_home%\jre\bin;%SystemRoot% ystem32;%SystemRoot%;%SystemRoot% ystem32\Wbems

重啟eclipse,OK,好了!!!

又害怕把orcale搞壞了,運行了一遍,好著呢,呵呵,java的版本問題也煩人啊!


相關文章

Beyond APAC's No.1 Cloud

19.6% IaaS Market Share in Asia Pacific - Gartner IT Service report, 2018

Learn more >

Apsara Conference 2019

The Rise of Data Intelligence, September 25th - 27th, Hangzhou, China

Learn more >

Alibaba Cloud Free Trial

Learn and experience the power of Alibaba Cloud with a free trial worth $300-1200 USD

Learn more >

聯繫我們

該頁面正文內容均來源於網絡整理,並不代表阿里雲官方的觀點,該頁面所提到的產品和服務也與阿里云無關,如果該頁面內容對您造成了困擾,歡迎寫郵件給我們,收到郵件我們將在5個工作日內處理。

如果您發現本社區中有涉嫌抄襲的內容,歡迎發送郵件至: info-contact@alibabacloud.com 進行舉報並提供相關證據,工作人員會在 5 個工作天內聯絡您,一經查實,本站將立刻刪除涉嫌侵權內容。